@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

* {
  box-sizing: border-box;
}

body {
  background-color: #e9e9e9;
  font-family: 'Roboto', sans-serif;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  overflow: hidden;
  margin: 0;
}

.calculator {
  align-items: center;
  justify-content: center;
  display: grid;
  background-color: #b383e2;
  opacity: 0.5;
  height: 500px;
  width: 400px;
  margin: 27px;
  padding: 2rem;
  border-radius: 30px;
  font-size: 50px;
  box-shadow: -6px -6px 9px #fff, 6px 6px 15px rgba(0, 0, 0, 0.4);
}

input {
  background: #e9e9e9;
  border-radius: 30px;
  padding: 0.5rem;
  font-family: inherit;
  border: none;
  margin-bottom: 1rem;
  text-align: right;
  padding: 16px 32px;
  font-size: 20px;
  font-weight: bold;
  color: black;
  text-shadow: -1px -1px 2px #fff, 2px 2px 2px rgba(22, 17, 22, 0.4);
  box-shadow: inset -6px -6px 9px rgb(243, 227, 238),
    inset 6px 6px 9px rgba(0, 0, 0, 0.4);
  border: solid #9400d3;
}

input[type='number']::-webkit-outer-spin-button,
input[type='number']::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

input[type='number'] {
  -moz-appearance: textfield;
}

input:focus {
  outline: none;
}

.buttons {
  display: grid;
  grid-template-columns: 30% 30% 30% 30%;
  grid-template-rows: 20% 20% 20% 20%;
  grid-gap: 5%;
  justify-content: center;
  margin: 10%;
  margin-top: 20px;
}

.operation,
.numbers {
  width: 50px;
  height: 50px;
  cursor: pointer;
  border-radius: 25px;
  border: none;
  font-size: 26px;
  font-weight: bold;
  box-shadow: rgb(0 0 0 / 40%) 2px 2px 5px;
}

.operation {
  color: #9400d3;
}

.operation:focus,
.numbers:focus {
  outline: none;
}

.operation:hover,
.numbers:hover {
  background-color: rgb(226, 181, 220);
}

.operation:active,
.numbers:active {
  box-shadow: inset -6px -6px 9px rgb(248, 186, 243),
    inset 6px 6px 9px rgba(229, 53, 248, 0.4);
  box-shadow: 0 0 5px #9400d3;
}
